org.apache.commons.ssl

## Class ASN1Util

- java.lang.Object
- - org.apache.commons.ssl.ASN1Util

    public class ASN1Util
    extends java.lang.Object

Since:
  16-Nov-2005
Author:
  Credit Union Central of British Columbia, www.cucbc.com, juliusdavies@cucbc.com

### Field Summary

Fields
`static java.math.BigInteger` `BIGGEST`
`static boolean` `DEBUG`

### Constructor Summary

Constructors
Constructor and Description
`ASN1Util()`

### Method Summary

Methods
`static ASN1Structure` `analyze(byte[] asn1)`
`static void` `analyze(DEREncodable seq, ASN1Structure pkcs8, int depth)`
`static void` `main(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEBUG

    public static boolean DEBUG

#### BIGGEST

    public static final java.math.BigInteger BIGGEST

### Constructor Detail

#### ASN1Util

    public ASN1Util()

### Method Detail

#### analyze

    public static ASN1Structure analyze(byte[] asn1)
                                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### analyze

    public static void analyze(DEREncodable seq,
               ASN1Structure pkcs8,
               int depth)